import { jsx } from "react/jsx-runtime";
import { TokenSHIA as TokenSHIA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSHIA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SHIA", "data-name": "TokenSHIA", ...props, children: /* @__PURE__ */ jsx(TokenSHIA$1, { variant }) });
  }
);
TokenSHIA.displayName = "TokenSHIA";
Object.assign(TokenSHIA, { isGdsIcon: true });
export {
  TokenSHIA
};
